Auto Multiple Choice - Bug # 171: AMC on Mac - no +perl variant for upgraded ImageMagick
Description: Hello,

AMC on Mac OS X requires macport ImageMagick with +perl variant. However, the new updated version of
ImageMagick no lunger supports this variant. When installing an upgrade it has failed for me with the following
message:

---> Attempting to fetch ImageMagick-6.8.5-5.tar.xz from
ftp:/ftp.sunet.se/pub/multimedia/graphics/ImageMagick

---> Verifying checksum(s) for ImageMagick

---> Extracting ImageMagick

---> Configuring ImageMagick

Error: org.macports.configure for port ImageMagick returned: The +perl variant is no longer used; use the
separate p5-perlmagick port instead.

Please see the log file for port ImageMagick for details:

Up to now the p5-perlmagick used as default for ImageMagick was not working properly. Any idea as to what
to do?

Regards

History

05/14/2013 11:37 pm - Alexis Bienveniie
> Up to now the p5-perlmagick used as default for ImageMagick was not working properly.

Did you try to install the last version of this port? What was the problem with it?

05/15/2013 01:05 am - Jose Goicolea
Hello,

| have tested the new ImageMagick port (version 6.8.5-5_0) without the +perl variant as it is not allowed now. Unfortunately AMC does not work, it does

not recognise any images after the data capture from the scanned questionnaires.

If I keep the older version with the +perl variant, ImageMagick @6.8.0-7_2+perl+q16, it works perfectly. So this is what | will do for the moment.

However, any Mac user of AMC which upgrades ImageMagick forcing the allowed variants or who tries to install AMC I'm afraid will be disappointed.

Regards,

Alexis Bienvenlie wrote:

> > Up to now the p5-perimagick used as default for ImageMagick was not working properly.
> Did you try to install the last version of this port? What was the problem with it?

05/15/2013 08:11 am - Alexis Bienveniie
Do you have any errors trying to install the @p5-perimagick@ port?

05/15/2013 08:49 am - Jose Goicolea
Alexis Bienveniie wrote:

> Do you have any errors trying to install the @p5-perimagick@ port?

Yes, installation fails for p5-perlmagick, when attempting to install its first dependency:

sudo port install p5-perimagick

---> Computing dependencies for p5-perlmagick

---> Dependencies to be installed: p5.12-perimagick

it appears to be due to errors in the linker phase (from the log file):

:info:build Id: library not found for -IMagickCore-6.Q16

;info:build clang: error: linker command failed with exit code 1 (use -v to see invocation)

05/15/2013 09:40 am - Jose Goicolea

| have submitted a ticket at the macports site:

https://trac.macports.org/ticket/39110

p5-perimagick @6.8.5-5 fails to build

05/16/2013 12:10 am - Jose Goicolea

The problem is solved, with the new macports version of ImageMagick @6.8.5-5_0. This new version no longer supports the +perl variant, so it just

needs to be installed with the defaults.

It is also necessary to install afterwards p5-perlmagick, which now (version @6.8.5-5_0) works correctly.

So, for my case at least, the requisites for auto-multiple-choice are:

sudo port install ImageMagick p5-perimagick

Perhaps the instructions for installation on mac should be updated

Many thanks for your help

05/16/2013 08:52 am - Alexis Bienveniie
- % Done changed from 0 to 100

- Status changed from New to Resolved

Thanks for your report.

| will update the instructions.

Note that you can also consider installing the development version of AMC, following [[Installation de la version de développement d'AMC sous OS X

Mountain Lion|these rules (french)]].

05/16/2013 09:02 pm - Jose Goicolea
OK, thanks.
Just for your information | copy here a comment made at the macports bug reporting forum by the mantainer pf p5.12-perimagick

(ryandesign@macports.org):

> Glad you got it working. But MacPorts should have upgraded ImageMagick for you first; I'm not sure why it didn't.
>

> > It also appears that auto-multiple-choice which needed the +perl variant in the previous version of ImageMagick now works correctly.
>
> auto-multiple-choice makes no mention of requiring ImageMagick; it declares a dependency on GraphicsMagick. If auto-multiple-choice actually

requires ImageMagick (or rather p5.12-perimagick), please file a bug report against it.

If I'm right AMC did not really require ImageMagick on macports, but some of the +perl programs from this variant, as a patch. But now this situation is
clarified, and | see it has been updated in the installation instructions for mac.

Regards

10/31/2014 07:08 pm - Alexis Bienveniie

- Status changed from Resolved to Closed
